ScoredKBestList (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history.kbest
Class ScoredKBestList

    java.lang.Object
      org.maltparser.parser.history.kbest.KBestList
          org.maltparser.parser.history.kbest.ScoredKBestList

    public class ScoredKBestList

extends KBestList

Since:
  1.1
Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.parser.history.kbest.KBestList
`addCandidateIndex, decision, k, kBestList, topCandidateIndex`

Constructor Summary
`ScoredKBestList(Integer k, SingleDecision action)`
`ScoredKBestList(SingleDecision action)`

Method Summary
`void` | `add(int actionCode, float score)`
`void` | `add(String symbol, float score)`
`protected void` | `initKBestList()`
`float` | `peekNextKBestScore()`
`String` | `toString()`

Methods inherited from class org.maltparser.parser.history.kbest.KBestList
`add, add, getAddCandidateIndex, getCandidate, getCurrentSize, getDecision, getK, getKBestListSize, getTopCandidateIndex, peekNextKBest, reset, setDecision, setK, updateActionWithNextKBest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScoredKBestList

    public ScoredKBestList(SingleDecision action)

### ScoredKBestList

    public ScoredKBestList(Integer k,
                           SingleDecision action)

Method Detail

### initKBestList

    protected void initKBestList()

  Overrides:
    `initKBestList` in class `KBestList`

### add

    public void add(int actionCode,
                    float score)
             throws MaltChainedException

  Throws:
    `MaltChainedException`

### add

    public void add(String symbol,
                    float score)
             throws MaltChainedException

  Throws:
    `MaltChainedException`

### peekNextKBestScore

    public float peekNextKBestScore()

### toString

    public String toString()

  Overrides:
    `toString` in class `KBestList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.